import { PolarLineSeriesBase } from "./PolarLineSeriesBase";
import { Series } from "./Series";
import { SeriesView } from "./SeriesView";
import { Type, Point } from "igniteui-angular-core";
import { PolarFrame } from "./PolarFrame";
import { PolarBaseView } from "./PolarBaseView";
import { Path } from "igniteui-angular-core";
import { List$1 } from "igniteui-angular-core";
import { PolarLineSeriesBaseView } from "./PolarLineSeriesBaseView";
import { RenderingContext } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class PolarSplineAreaSeries extends PolarLineSeriesBase {
    static $t: Type;
    protected bk(): Series;
    protected z8(): boolean;
    protected get_ew(): boolean;
    protected get_f1(): boolean;
    protected ct(): SeriesView;
    q7(a: SeriesView): void;
    ac4: PolarSplineAreaSeriesView;
    constructor();
    protected ac2(a: SeriesView): void;
    ac3(a: PolarFrame, b: PolarBaseView): void;
    protected get_acz(): boolean;
    ac5: number;
    protected rg(a: any, b: string, c: any, d: any): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class PolarSplineAreaSeriesView extends PolarLineSeriesBaseView {
    static $t: Type;
    protected dm: PolarSplineAreaSeries;
    constructor(a: PolarSplineAreaSeries);
    a4(): void;
    private dt;
    private ds;
    private dr;
    private dq;
    get du(): Path;
    get dv(): Path;
    dn(): void;
    dp(a: List$1<Point>, b: number): void;
    protected bp(): void;
    protected bq(): void;
    protected bj(a: RenderingContext, b: boolean): void;
    ax(a: any): void;
    protected an(): void;
}
